using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 导航属性：三级安全教育卡培训记录附件
    /// </summary>
    [Description("三级安全教育卡培训记录附件")]
    public class T_SE_THREE_LEVEL_SAFE_TRAIN_RECORD_FILE : MesEntityBase
    {
        /// <summary>
        /// 三级安全教育卡培训记录ID
        /// </summary>
        [Description("三级安全教育卡培训记录ID")]
        [DataFieldForeignKey("Nav_TrainRecord", "Nav_TrainRecordFile")]
        public Guid TRAIN_RECORD_ID { get; set; }
        /// <summary>
        /// 导航属性：三级安全教育卡培训记录
        /// </summary>
        [Description("导航属性：三级安全教育卡培训记录")]
        public T_SE_THREE_LEVEL_SAFE_TRAIN_RECORD Nav_TrainRecord { get; set; }
        /// <summary>
        /// 文件ID
        /// </summary>
        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid IMG_FILE_ID { get; set; }
        /// <summary>
        /// 导航属性：文件
        /// </summary>
        [Description("导航属性：文件")]
        public T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
